function CurrCannotLink = FindCurrCannotLinks(AllCannotLink, F0Track)
% Find cannot-links that can be satisfied by the current clustering
% Input
%   - AllCannotLink   : all must-links that the domain knowledge can provide
%   - F0Track       : the current clustering
% Output
%   - CurrCannotLink  : must-links that can be satisfied by F0Track
% 
% Author: Zhiyao Duan
% Created: 6/3/2009
% Last modified: 9/26/2012

feaNum = length(AllCannotLink);               % number of vertices, pitches, features (each row of AllMustLink is a list of must-link vertices of the current vertex)

CurrCannotLink = cell(feaNum, 1);

for i = 1:feaNum
    pointNum = 0;
    CurrCannotLink{i} = zeros(1, feaNum);
    
    for j = AllCannotLink{i}
        if F0Track(i) ~= F0Track(j)         % to check if the cannot-link is satisfied by the current clustering
            pointNum = pointNum + 1;
            CurrCannotLink{i}(pointNum) = j;
        end
    end
    
    CurrCannotLink{i} = CurrCannotLink{i}(1:pointNum);
end
