function CurrMustLink = FindCurrMustLinks(AllMustLink, F0Track)
% Find must-links that can be satisfied by the current clustering input from AllMustLink
%
% Input:
%   - AllMustLink   : all must-links that the domain knowledge can provide
%   - F0Track       : track labels of F0s
% Output:
%   - CurrMustLink  : must-links that can be satisfied by F0Track
% 
% Author: Zhiyao Duan
% Created: 5/28/2009
% Last modified: 5/29/2009

feaNum = length(AllMustLink);               % number of vertices, pitches, features (each row of AllMustLink is a list of must-link vertices of the current vertex)

CurrMustLink = cell(feaNum, 1);

for i = 1:feaNum
    pointNum = 0;
    CurrMustLink{i} = zeros(1, feaNum);
    
    for j = AllMustLink{i}
        if F0Track(i) == F0Track(j)         % to check if the must-link is satisfied by the current clustering
            pointNum = pointNum + 1;
            CurrMustLink{i}(pointNum) = j;
        end
    end
    
    CurrMustLink{i} = CurrMustLink{i}(1:pointNum);
end