function EstF0AllTrack = FormF0AllTrackFromNote(Note, para)
% Get pitch trajectories from Notes
% Input
%   - Note          : notes for all the tracks, each cell corresponds to a track
%   - para          : parameters
% Output
%   - EstF0AllTrack : calculated pitch trajectories
%
% Author: Zhiyao Duan
% Created: 5/5/2009
% Last modified: 5/14/2009


FrameIndex = para.FrameIndex;

FrameNum = length(FrameIndex);
TrackNum = length(Note);
EstF0AllTrack = zeros(TrackNum, FrameNum);

for track = 1:TrackNum
    NoteNum = length(Note{track});
    for note = 1:NoteNum
        % THERE MIGHT BE SOME DUPLICATE POINTS, BUT WE DO NOT CONSIDER THEM CURRENTLY
        EstF0AllTrack(track, Note{track}{note}(1, :)) = Note{track}{note}(2, :); 
    end
end
EstF0AllTrack(:, FrameIndex == 0) = 0;                  % If the energy of this frame is too small, then just ignore the F0 estimates